Package owl.ltl.rewriter

## Class PullUpXVisitor

- java.lang.Object
- - owl.ltl.rewriter.PullUpXVisitor

- All Implemented Interfaces:
    `Function<Formula,Formula>`, `UnaryOperator<Formula>`, `Visitor<PullUpXVisitor.XFormula>`

      public class PullUpXVisitor
      extends Object
      implements Visitor<PullUpXVisitor.XFormula>, UnaryOperator<Formula>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PullUpXVisitor.XFormula` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PullUpXVisitor` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PullUpXVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Formula` | `apply​(Formula formula)` |
    `PullUpXVisitor.XFormula` | `visit​(Biconditional biconditional)` |
    `PullUpXVisitor.XFormula` | `visit​(BooleanConstant booleanConstant)` |
    `PullUpXVisitor.XFormula` | `visit​(Conjunction conjunction)` |
    `PullUpXVisitor.XFormula` | `visit​(Disjunction disjunction)` |
    `PullUpXVisitor.XFormula` | `visit​(FOperator fOperator)` |
    `PullUpXVisitor.XFormula` | `visit​(GOperator gOperator)` |
    `PullUpXVisitor.XFormula` | `visit​(Literal literal)` |
    `PullUpXVisitor.XFormula` | `visit​(MOperator mOperator)` |
    `PullUpXVisitor.XFormula` | `visit​(ROperator rOperator)` |
    `PullUpXVisitor.XFormula` | `visit​(UOperator uOperator)` |
    `PullUpXVisitor.XFormula` | `visit​(WOperator wOperator)` |
    `PullUpXVisitor.XFormula` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.UnaryOperator

    - ### Methods inherited from interface owl.ltl.visitors.Visitor

      `visit`

- - ### Field Detail

    - #### INSTANCE

          public static final PullUpXVisitor INSTANCE

  - ### Constructor Detail

    - #### PullUpXVisitor

          public PullUpXVisitor()

  - ### Method Detail

    - #### apply

          public Formula apply​(Formula formula)

      Specified by:
        `apply` in interface `Function<Formula,Formula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(Biconditional biconditional)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(BooleanConstant booleanConstant)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(Conjunction conjunction)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(Disjunction disjunction)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(Literal literal)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`

    - #### visit

          public PullUpXVisitor.XFormula visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `Visitor<PullUpXVisitor.XFormula>`